> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatordb.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Performance History

> Retrieve daily performance snapshots for a specified YouTube creator, including upload activity, subscriber growth, engagement metrics, and video performance. Dates are returned as Unix timestamps in milliseconds.



## OpenAPI

````yaml /api-v3/api-v3.yaml get /youtube/performance-history
openapi: 3.1.0
info:
  version: 1.0.0
  title: CreatorDB Headless API V3
  description: '# CreatorDB Headless API V3'
  contact:
    name: CreatorDB
    url: https://www.creatordb.app
    email: support@creatordb.app
  license:
    url: http://www.apache.org/licenses/LICENSE-2.0.html
    name: Apache 2.0
servers:
  - url: https://apiv3.creatordb.app
    description: Production Environment (CreatorDB Headless API V3)
security:
  - ApiKeyAuth: []
tags:
  - name: Brand
    description: Brand analysis endpoints including sponsor search and brand reports.
  - name: Facebook
    description: Facebook creator data endpoints with metrics and search capabilities.
  - name: General Operations
    description: >-
      General-purpose endpoints such as API status, content retrieval, and
      cross-platform operations.
  - name: Instagram
    description: >-
      Instagram creator data endpoints with metrics and advanced search
      capabilities.
  - name: Niches
    description: >-
      Niche-related endpoints for content category analysis and related
      searches.
  - name: Threads
    description: Threads creator data endpoints with basic metrics and historical data.
  - name: TikTok
    description: >-
      TikTok creator data endpoints with metrics and advanced search
      functionality.
  - name: Topic
    description: Topic-based analysis and reporting endpoints for content categorization.
  - name: YouTube
    description: >-
      YouTube creator data endpoints including basic metrics, historical data,
      and detailed analytics.
paths:
  /youtube/performance-history:
    get:
      tags:
        - YouTube
      summary: Get Performance History
      description: >-
        Retrieve daily performance snapshots for a specified YouTube creator,
        including upload activity, subscriber growth, engagement metrics, and
        video performance. Dates are returned as Unix timestamps in
        milliseconds.
      operationId: getYoutubePerformanceHistory
      parameters:
        - name: channelId
          in: query
          description: Unique channel ID.
          required: true
          schema:
            type: string
            pattern: ^UC[a-zA-Z0-9_-]{22}$
            minLength: 1
            maxLength: 50
            examples:
              - UCBR8-60-B28hp2BmDPdntcQ
        - name: pastDayRange
          in: query
          description: >-
            Returns one data point per day over the requested range. For
            example, `30` returns the past 30 days of daily snapshots. Valid
            range: `1`-`365`.
          required: true
          schema:
            type: string
            pattern: ^[1-9]\d*$
            examples:
              - '30'
      responses:
        '200':
          description: YouTube creator performance historical data returned successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    description: The YouTube performance historical data.
                    properties:
                      histories:
                        type: array
                        description: >-
                          Historical performance snapshots, each containing
                          metrics and a corresponding Unix timestamp in
                          milliseconds.
                        items:
                          type: object
                          description: >-
                            A single historical performance snapshot containing
                            metrics and a corresponding Unix timestamp in
                            milliseconds.
                          properties:
                            timestamp:
                              type: integer
                              description: >-
                                The performance snapshot date, represented as a
                                Unix timestamp in milliseconds.
                              minimum: 0
                              examples:
                                - 1750732453635
                            totalSubscribers:
                              type: integer
                              description: Total number of subscribers.
                              minimum: 0
                              examples:
                                - 13900000
                            totalContents:
                              type: integer
                              description: Total number of videos and shorts.
                              minimum: 0
                              examples:
                                - 399
                            videosPerformanceAll:
                              type: object
                              description: >-
                                Performance metrics for the last 800 YouTube
                                videos.
                              properties:
                                likes:
                                  type: object
                                  description: >-
                                    Likes statistics for the last 800 YouTube
                                    videos.
                                  properties:
                                    all:
                                      type: integer
                                      description: >-
                                        Total number of likes across the last
                                        800 YouTube videos.
                                      minimum: 0
                                      examples:
                                        - 2944445
                                    avg:
                                      type: integer
                                      description: >-
                                        Average likes per video for up to the
                                        last 800 videos, rounded to an integer.
                                      minimum: 0
                                      examples:
                                        - 100
                                    median:
                                      type: integer
                                      description: >-
                                        Median number of likes across the last
                                        800 videos.
                                      minimum: 0
                                      examples:
                                        - 48
                                    min:
                                      type: integer
                                      description: >-
                                        Minimum number of likes across the last
                                        800 videos.
                                      minimum: 0
                                      examples:
                                        - 20
                                    max:
                                      type: integer
                                      description: >-
                                        Maximum number of likes across the last
                                        800 videos.
                                      minimum: 0
                                      examples:
                                        - 149
                                  required:
                                    - all
                                    - avg
                                    - median
                                    - min
                                    - max
                                comments:
                                  type: object
                                  description: >-
                                    Comments statistics for the last 800 YouTube
                                    videos.
                                  properties:
                                    all:
                                      type: integer
                                      description: >-
                                        Total number of comments across the last
                                        800 videos.
                                      minimum: 0
                                      examples:
                                        - 2944445
                                    avg:
                                      type: integer
                                      description: >-
                                        Average comments per video for the last
                                        800 videos, rounded to an integer.
                                      minimum: 0
                                      examples:
                                        - 100
                                    median:
                                      type: integer
                                      description: >-
                                        Median number of comments across the
                                        last 800 videos.
                                      minimum: 0
                                      examples:
                                        - 48
                                    min:
                                      type: integer
                                      description: >-
                                        Minimum number of comments across the
                                        last 800 YouTube videos.
                                      minimum: 0
                                      examples:
                                        - 20
                                    max:
                                      type: integer
                                      description: >-
                                        Maximum number of comments across the
                                        last 800 YouTube videos.
                                      minimum: 0
                                      examples:
                                        - 149
                                  required:
                                    - all
                                    - avg
                                    - median
                                    - min
                                    - max
                                views:
                                  type: object
                                  description: >-
                                    Views statistics for the last 800 YouTube
                                    videos.
                                  properties:
                                    all:
                                      type: integer
                                      description: >-
                                        Total number of views across the last
                                        800 videos.
                                      minimum: 0
                                      examples:
                                        - 3599
                                    avg:
                                      type: integer
                                      description: >-
                                        Average views per video for the last 800
                                        videos, rounded to an integer.
                                      minimum: 0
                                      examples:
                                        - 100
                                    median:
                                      type: integer
                                      description: >-
                                        Median number of views across the last
                                        800 videos.
                                      minimum: 0
                                      examples:
                                        - 48
                                    min:
                                      type: integer
                                      description: >-
                                        Minimum number of views across the last
                                        800 videos.
                                      minimum: 0
                                      examples:
                                        - 20
                                    max:
                                      type: integer
                                      description: >-
                                        Maximum number of views across the last
                                        800 videos.
                                      minimum: 0
                                      examples:
                                        - 149
                                    percentile25:
                                      type: integer
                                      description: >-
                                        The 25th percentile (first quartile) of
                                        views across the last 800 videos.
                                      minimum: 0
                                      examples:
                                        - 35
                                    percentile75:
                                      type: integer
                                      description: >-
                                        The 75th percentile (third quartile) of
                                        views across the last 800 videos.
                                      minimum: 0
                                      examples:
                                        - 85
                                    iqr:
                                      type: integer
                                      description: >-
                                        Interquartile range (IQR) of views,
                                        calculated as 25th to 75th percentile,
                                        representing the spread of the middle
                                        50%.
                                      minimum: 0
                                      examples:
                                        - 50
                                  required:
                                    - all
                                    - avg
                                    - median
                                    - min
                                    - max
                                    - percentile25
                                    - percentile75
                                    - iqr
                                length:
                                  type: object
                                  description: >-
                                    Length statistics for the last 800 YouTube
                                    videos.
                                  properties:
                                    avg:
                                      type: integer
                                      description: >-
                                        Average video length in seconds, rounded
                                        to an integer.
                                      minimum: 0
                                      examples:
                                        - 180
                                  required:
                                    - avg
                                engagement:
                                  type: object
                                  description: Engagement metrics for the last 800 videos.
                                  properties:
                                    avgEngagementRate:
                                      type: number
                                      description: >-
                                        Average engagement rate per video,
                                        rounded to 4th decimal place <br />

                                        - *Engagement Rate = (Likes + Comments +
                                        Views)/Subscribers*.
                                      minimum: 0
                                      examples:
                                        - 0.5201
                                    likesPerSubscriber:
                                      type: number
                                      description: >-
                                        Average likes per subscriber for the
                                        last 800 videos, rounded to 4th decimal
                                        place.
                                      minimum: 0
                                      examples:
                                        - 0.1111
                                    commentsPerSubscriber:
                                      type: number
                                      description: >-
                                        Average comments per subscriber for the
                                        last 800 videos, rounded to 4th decimal
                                        place.
                                      minimum: 0
                                      examples:
                                        - 0.1111
                                    viewsPerSubscriber:
                                      type: number
                                      description: >-
                                        Average views per subscriber for the
                                        last 800 videos, rounded to 4th decimal
                                        place.
                                      minimum: 0
                                      examples:
                                        - 0.1111
                                    engagementConsistency:
                                      type: object
                                      description: >-
                                        Consistency of engagement performance
                                        across the last 800 videos.
                                      properties:
                                        cv:
                                          type: number
                                          description: >-
                                            *cv &#61; Standard Deviation of
                                            Engagement Rate/Mean Engagement Rate*
                                            <br />

                                            - The value is rounded to 4th decimal
                                            place. <br />

                                            - Lower values indicate more consistent
                                            performance. <br />

                                            - *A value of `0` indicates insufficient
                                            data.*
                                          minimum: 0
                                          examples:
                                            - 0.1001
                                        medianVsMean:
                                          type: number
                                          description: >-
                                            *medianVsMean &#61;  Median Engagement
                                            Rate/Mean Engagement Rate* <br />
                                             - The value is rounded to 4th decimal place. <br />
                                             - Values closer to `1` indicate more consistent performance. <br />
                                             - *A value of `0` indicates insufficient data.*
                                          minimum: 0
                                          examples:
                                            - 0.9001
                                        topBottomRatio:
                                          type: number
                                          description: >-
                                            *topBottomRatio &#61; avg(Top 3
                                            Engagement)/avg(Bottom 3 Engagement)*
                                            <br />

                                            - The value is rounded to 4th decimal
                                            place. <br />

                                            - Lower ratios indicate more consistent
                                            performance. <br />

                                            - *A value of `0` indicates insufficient
                                            data.*
                                          minimum: 0
                                          examples:
                                            - 1.2001
                                        consistencyScore:
                                          type:
                                            - integer
                                            - 'null'
                                          description: >-
                                            *consistencyScore &#61; 100 -
                                            [(cvScore\*weight_cv) +
                                            (topBottomScore\*weight_topBottom) +
                                            (medianVsMeanScore\*weight_medianVsMean)]*
                                            <br />

                                            - The score is rounded to an integer.
                                            <br />

                                            - A higher score indicates more stable
                                            and consistent performance. <br />

                                            - If any of the three indicators is `0`,
                                            the `consistencyScore` will be `null`.
                                          minimum: 0
                                          maximum: 100
                                          examples:
                                            - 63
                                        consistencyLevel:
                                          type: string
                                          enum:
                                            - high
                                            - moderate
                                            - low
                                            - null
                                          description: >-
                                            A qualitative label based on the
                                            `consistencyScore`: <br />

                                            - high: 81 - 100 <br />

                                            - moderate: 51 - 80 <br />

                                            - low: 0 - 50 <br />

                                            - Returns `null` when `consistencyScore`
                                            is `null`.
                                          examples:
                                            - moderate
                                      required:
                                        - cv
                                        - medianVsMean
                                        - topBottomRatio
                                        - consistencyScore
                                        - consistencyLevel
                                  required:
                                    - avgEngagementRate
                                    - likesPerSubscriber
                                    - commentsPerSubscriber
                                    - viewsPerSubscriber
                                    - engagementConsistency
                              required:
                                - likes
                                - comments
                                - views
                                - length
                                - engagement
                            shortsPerformanceAll:
                              type: object
                              description: >-
                                Performance metrics for the last 800 YouTube
                                shorts.
                              properties:
                                likes:
                                  type: object
                                  description: >-
                                    Likes statistics for the last 800 YouTube
                                    shorts.
                                  properties:
                                    all:
                                      type: integer
                                      description: >-
                                        Total number of likes across the last
                                        800 shorts.
                                      minimum: 0
                                      examples:
                                        - 2459
                                    avg:
                                      type: integer
                                      description: >-
                                        Average likes per short for the last 800
                                        shorts, rounded to an integer.
                                      minimum: 0
                                      examples:
                                        - 100
                                    median:
                                      type: integer
                                      description: >-
                                        The median number of likes across the
                                        last 800 shorts.
                                      minimum: 0
                                      examples:
                                        - 120
                                    min:
                                      type: integer
                                      description: >-
                                        The minimum number of likes across the
                                        last 800 shorts.
                                      minimum: 0
                                      examples:
                                        - 50
                                    max:
                                      type: integer
                                      description: >-
                                        The maximum number of likes across the
                                        last 800 shorts.
                                      minimum: 0
                                      examples:
                                        - 988
                                  required:
                                    - all
                                    - avg
                                    - median
                                    - min
                                    - max
                                comments:
                                  type: object
                                  description: >-
                                    Comments statistics for the last 800 YouTube
                                    shorts.
                                  properties:
                                    all:
                                      type: integer
                                      description: >-
                                        Total number of comments across the last
                                        800 shorts.
                                      minimum: 0
                                      examples:
                                        - 2459
                                    avg:
                                      type: integer
                                      description: >-
                                        Average comments per short for the last
                                        800 shorts, rounded to an integer.
                                      minimum: 0
                                      examples:
                                        - 100
                                    median:
                                      type: integer
                                      description: >-
                                        Median number of comments across the
                                        last 800 shorts.
                                      minimum: 0
                                      examples:
                                        - 120
                                    min:
                                      type: integer
                                      description: >-
                                        Minimum number of comments across the
                                        last 800 shorts.
                                      minimum: 0
                                      examples:
                                        - 50
                                    max:
                                      type: integer
                                      description: >-
                                        Maximum number of comments across the
                                        last 800 shorts.
                                      minimum: 0
                                      examples:
                                        - 988
                                  required:
                                    - all
                                    - avg
                                    - median
                                    - min
                                    - max
                                views:
                                  type: object
                                  description: Views statistics for the last 800 shorts.
                                  properties:
                                    all:
                                      type: integer
                                      description: >-
                                        Total number of views across the last
                                        800 shorts.
                                      minimum: 0
                                      examples:
                                        - 2459
                                    avg:
                                      type: integer
                                      description: >-
                                        Average views per short for the last 800
                                        shorts, rounded to an integer.
                                      minimum: 0
                                      examples:
                                        - 100
                                    median:
                                      type: integer
                                      description: >-
                                        Median number of views across the last
                                        800 shorts.
                                      minimum: 0
                                      examples:
                                        - 120
                                    min:
                                      type: integer
                                      description: >-
                                        Minimum number of views across the last
                                        800 shorts.
                                      minimum: 0
                                      examples:
                                        - 50
                                    max:
                                      type: integer
                                      description: >-
                                        Maximum number of views across the last
                                        800 shorts.
                                      minimum: 0
                                      examples:
                                        - 988
                                    percentile25:
                                      type: integer
                                      description: >-
                                        The 25th percentile (first quartile) of
                                        views across the last 800 shorts.
                                      minimum: 0
                                      examples:
                                        - 80
                                    percentile75:
                                      type: integer
                                      description: >-
                                        The 75th percentile (third quartile) of
                                        views across the last 800 shorts.
                                      minimum: 0
                                      examples:
                                        - 250
                                    iqr:
                                      type: integer
                                      description: >-
                                        Interquartile range (IQR) of views,
                                        calculated as 25th to 75th percentile,
                                        representing the spread of the middle
                                        50%.
                                      minimum: 0
                                      examples:
                                        - 170
                                  required:
                                    - all
                                    - avg
                                    - median
                                    - min
                                    - max
                                    - percentile25
                                    - percentile75
                                    - iqr
                                length:
                                  type: object
                                  description: >-
                                    Length statistics for the last 800 YouTube
                                    shorts.
                                  properties:
                                    avg:
                                      type: integer
                                      description: >-
                                        Average shorts length in seconds,
                                        rounded to an integer.
                                      minimum: 0
                                      examples:
                                        - 180
                                  required:
                                    - avg
                                engagement:
                                  type: object
                                  description: Engagement metrics for the last 800 shorts.
                                  properties:
                                    avgEngagementRate:
                                      type: number
                                      description: >-
                                        Average engagement rate per short,
                                        rounded to 4th decimal place. <br />

                                        - *Engagement Rate = (Likes + Comments +
                                        Views)/Subscribers*.
                                      minimum: 0
                                      examples:
                                        - 0.5201
                                    likesPerSubscriber:
                                      type: number
                                      description: >-
                                        Average likes per subscriber for the
                                        last 800 shorts, rounded to 4th decimal
                                        place.
                                      minimum: 0
                                      examples:
                                        - 0.1111
                                    commentsPerSubscriber:
                                      type: number
                                      description: >-
                                        Average comments per subscriber for the
                                        last 800 shorts, rounded to 4th decimal
                                        place.
                                      minimum: 0
                                      examples:
                                        - 0.1111
                                    viewsPerSubscriber:
                                      type: number
                                      description: >-
                                        Average views per subscriber for the
                                        last 800 shorts, rounded to 4th decimal
                                        place.
                                      minimum: 0
                                      examples:
                                        - 0.1111
                                    engagementConsistency:
                                      type: object
                                      description: >-
                                        Consistency of engagement performance
                                        across the last 800 shorts.
                                      properties:
                                        cv:
                                          type: number
                                          description: >-
                                            *cv &#61; Standard Deviation of
                                            Engagement Rate/ Mean Engagement Rate*
                                            <br />

                                            - The value is rounded to 4th decimal
                                            place. <br />

                                            - Lower values indicate more consistent
                                            performance. <br />

                                            - *A value of `0` indicates insufficient
                                            data.*
                                          minimum: 0
                                          examples:
                                            - 0.1001
                                        medianVsMean:
                                          type: number
                                          description: >-
                                            *medianVsMean &#61; Median Engagement
                                            Rate/ Mean Engagement Rate* <br />

                                            - The value is rounded to 4th decimal
                                            place. <br />

                                            - Values closer to `1` indicate more
                                            consistent performance. <br />

                                            - *A value of `0` indicates insufficient
                                            data.*
                                          minimum: 0
                                          examples:
                                            - 0.9001
                                        topBottomRatio:
                                          type: number
                                          description: >-
                                            *topBottomRatio &#61; avg(Top 3
                                            Engagement)/avg(Bottom 3 Engagement)*
                                            <br />

                                            - The value is rounded to 4th decimal
                                            place <br />

                                            - Lower ratios indicate more consistent
                                            performance <br />

                                            - *A value of `0` indicates insufficient
                                            data.*
                                          minimum: 0
                                          examples:
                                            - 1.2001
                                        consistencyScore:
                                          type:
                                            - integer
                                            - 'null'
                                          description: >-
                                            *consistencyScore &#61; 100 -
                                            [(cvScore\*weight_cv) +
                                            (topBottomScore\*weight_topBottom) +
                                            (medianVsMeanScore\*weight_medianVsMean)]*
                                            <br />

                                            - The score is rounded to an integer.
                                            <br />

                                            - A higher score indicates more stable
                                            and consistent performance. <br />

                                            - If any of the three indicators is `0`,
                                            the `consistencyScore` will be `null`.
                                          minimum: 0
                                          maximum: 100
                                          examples:
                                            - 63
                                        consistencyLevel:
                                          type: string
                                          enum:
                                            - high
                                            - moderate
                                            - low
                                            - null
                                          description: >-
                                            A qualitative label based on the
                                            `consistencyScore`: <br />

                                            - high: 81 - 100 <br />

                                            - moderate: 51 - 80 <br />

                                            - low: 0 - 50 <br />

                                            - Returns `null` when `consistencyScore`
                                            is `null`.
                                          examples:
                                            - moderate
                                      required:
                                        - cv
                                        - medianVsMean
                                        - topBottomRatio
                                        - consistencyScore
                                        - consistencyLevel
                                  required:
                                    - avgEngagementRate
                                    - likesPerSubscriber
                                    - commentsPerSubscriber
                                    - viewsPerSubscriber
                                    - engagementConsistency
                              required:
                                - likes
                                - comments
                                - views
                                - length
                                - engagement
                          required:
                            - timestamp
                            - totalSubscribers
                            - totalContents
                            - videosPerformanceAll
                            - shortsPerformanceAll
                    required:
                      - histories
                  creditsUsed:
                    type: integer
                    description: Number of API credits consumed by this request.
                    examples:
                      - 1
                  creditsAvailable:
                    type: integer
                    description: Number of API credits remaining.
                    examples:
                      - -1
                  traceId:
                    type: string
                    description: Unique trace ID for each request.
                    examples:
                      - f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0
                  timestamp:
                    type: integer
                    description: >-
                      Time the response was generated, represented as a Unix
                      timestamp in milliseconds.
                    examples:
                      - 1750732453635
                  errorCode:
                    type: string
                    description: >-
                      Error code returned if the request fails. Empty if the
                      request is successful.
                    examples:
                      - ''
                  errorDescription:
                    type: string
                    description: >-
                      Description of the error. Empty if the request is
                      successful.
                    examples:
                      - ''
                  success:
                    type: boolean
                    description: '`true` if the request is successful.'
                    examples:
                      - true
                required:
                  - data
                  - traceId
                  - timestamp
                  - errorCode
                  - errorDescription
                  - success
                  - creditsUsed
                  - creditsAvailable
              examples:
                default:
                  value:
                    data:
                      histories:
                        - timestamp: 1767837367237
                          totalSubscribers: 459000000
                          totalContents: 940
                          videosPerformanceAll:
                            likes:
                              all: 710746666
                              avg: 7252517
                              median: 3550000
                              min: 0
                              max: 0
                            comments:
                              all: 4968208
                              avg: 50696
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 26294349424
                              avg: 268309688
                              median: 192170860
                              min: 26793336
                              max: 1601867355
                            engagement:
                              avgEngagementRate: 0.0267
                              likesPerSubscriber: 0.0158
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.5846
                              engagementConsistency:
                                cv: 0.4962
                                medianVsMean: 0.8586
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                          shortsPerformanceAll:
                            likes:
                              all: 1100753505
                              avg: 11586879
                              median: 10021835
                              min: 0
                              max: 0
                            comments:
                              all: 3370220
                              avg: 35476
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 36964836775
                              avg: 389103545
                              median: 361915758
                              min: 0
                              max: 0
                            engagement:
                              avgEngagementRate: 0.0304
                              likesPerSubscriber: 0.0252
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.8477
                              engagementConsistency:
                                cv: 0.4424
                                medianVsMean: 0.9726
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                        - timestamp: 1767750967237
                          totalSubscribers: 459000000
                          totalContents: 939
                          videosPerformanceAll:
                            likes:
                              all: 711273549
                              avg: 7332717
                              median: 3600000
                              min: 0
                              max: 0
                            comments:
                              all: 4988419
                              avg: 51427
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 26338437548
                              avg: 271530284
                              median: 192581549
                              min: 29219413
                              max: 1601867355
                            engagement:
                              avgEngagementRate: 0.0266
                              likesPerSubscriber: 0.016
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.5916
                              engagementConsistency:
                                cv: 0.4985
                                medianVsMean: 0.8618
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                          shortsPerformanceAll:
                            likes:
                              all: 1100070624
                              avg: 11459069
                              median: 10010917
                              min: 0
                              max: 0
                            comments:
                              all: 3346944
                              avg: 34864
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 36904779936
                              avg: 384424791
                              median: 358022029
                              min: 0
                              max: 0
                            engagement:
                              avgEngagementRate: 0.0304
                              likesPerSubscriber: 0.025
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.8375
                              engagementConsistency:
                                cv: 0.4403
                                medianVsMean: 0.952
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                        - timestamp: 1767664567237
                          totalSubscribers: 458000000
                          totalContents: 938
                          videosPerformanceAll:
                            likes:
                              all: 708832544
                              avg: 7307552
                              median: 3600000
                              min: 0
                              max: 0
                            comments:
                              all: 4980659
                              avg: 51347
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 26164009529
                              avg: 269732057
                              median: 192581549
                              min: 6390619
                              max: 1601867355
                            engagement:
                              avgEngagementRate: 0.0272
                              likesPerSubscriber: 0.016
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.5889
                              engagementConsistency:
                                cv: 0.5163
                                medianVsMean: 0.8455
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                          shortsPerformanceAll:
                            likes:
                              all: 1101100992
                              avg: 11469802
                              median: 10010917
                              min: 0
                              max: 0
                            comments:
                              all: 3346368
                              avg: 34858
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 36961343808
                              avg: 385013998
                              median: 358022029
                              min: 0
                              max: 0
                            engagement:
                              avgEngagementRate: 0.0299
                              likesPerSubscriber: 0.025
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.8406
                              engagementConsistency:
                                cv: 0.4251
                                medianVsMean: 0.958
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                        - timestamp: 1767578167237
                          totalSubscribers: 458000000
                          totalContents: 938
                          videosPerformanceAll:
                            likes:
                              all: 715032590
                              avg: 7371470
                              median: 3600000
                              min: 0
                              max: 0
                            comments:
                              all: 4990941
                              avg: 51453
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 26369612960
                              avg: 271851680
                              median: 197386359
                              min: 6390619
                              max: 1601867355
                            engagement:
                              avgEngagementRate: 0.0273
                              likesPerSubscriber: 0.0161
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.5936
                              engagementConsistency:
                                cv: 0.5135
                                medianVsMean: 0.8443
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                          shortsPerformanceAll:
                            likes:
                              all: 1094445024
                              avg: 11400469
                              median: 10010917
                              min: 0
                              max: 0
                            comments:
                              all: 3334368
                              avg: 34733
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 36704292384
                              avg: 382336379
                              median: 351685332
                              min: 0
                              max: 0
                            engagement:
                              avgEngagementRate: 0.0298
                              likesPerSubscriber: 0.0249
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.8348
                              engagementConsistency:
                                cv: 0.4274
                                medianVsMean: 0.9599
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                        - timestamp: 1767491767237
                          totalSubscribers: 458000000
                          totalContents: 938
                          videosPerformanceAll:
                            likes:
                              all: 715032590
                              avg: 7371470
                              median: 3600000
                              min: 0
                              max: 0
                            comments:
                              all: 4990844
                              avg: 51452
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 26368952681
                              avg: 271844873
                              median: 197386359
                              min: 6390619
                              max: 1601867355
                            engagement:
                              avgEngagementRate: 0.0273
                              likesPerSubscriber: 0.0161
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.5935
                              engagementConsistency:
                                cv: 0.5136
                                medianVsMean: 0.8441
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                          shortsPerformanceAll:
                            likes:
                              all: 1094312928
                              avg: 11399093
                              median: 10010917
                              min: 0
                              max: 0
                            comments:
                              all: 3334080
                              avg: 34730
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 36701212704
                              avg: 382304299
                              median: 351685332
                              min: 0
                              max: 0
                            engagement:
                              avgEngagementRate: 0.0298
                              likesPerSubscriber: 0.0249
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.8347
                              engagementConsistency:
                                cv: 0.4276
                                medianVsMean: 0.9601
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                        - timestamp: 1767405367237
                          totalSubscribers: 458000000
                          totalContents: 938
                          videosPerformanceAll:
                            likes:
                              all: 715032590
                              avg: 7371470
                              median: 3600000
                              min: 0
                              max: 0
                            comments:
                              all: 4990456
                              avg: 51448
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 26350045926
                              avg: 271649958
                              median: 197386359
                              min: 6390619
                              max: 1601867355
                            engagement:
                              avgEngagementRate: 0.0273
                              likesPerSubscriber: 0.0161
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.5931
                              engagementConsistency:
                                cv: 0.5133
                                medianVsMean: 0.8438
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                          shortsPerformanceAll:
                            likes:
                              all: 1094312928
                              avg: 11399093
                              median: 10010917
                              min: 0
                              max: 0
                            comments:
                              all: 3333984
                              avg: 34729
                              median: 0
                              min: 0
                              max: 0
                            views:
                              all: 36699433152
                              avg: 382285762
                              median: 351685332
                              min: 0
                              max: 0
                            engagement:
                              avgEngagementRate: 0.0298
                              likesPerSubscriber: 0.0249
                              commentsPerSubscriber: 0.0001
                              viewsPerSubscriber: 0.8347
                              engagementConsistency:
                                cv: 0.4275
                                medianVsMean: 0.96
                                topBottomRatio: 0
                                consistencyScore: null
                                consistencyLevel: null
                    creditsUsed: 1
                    creditsAvailable: -1
                    traceId: 1b18529129b283dea751c6aac22445d5
                    timestamp: 1767923767306
                    errorCode: ''
                    errorDescription: ''
                    success: true
        '400':
          description: Validation error.
          content:
            application/json:
              schema:
                type: object
                title: ValidationErrorResponse
                properties:
                  success:
                    const: false
                  error:
                    type: string
                  message:
                    type: string
                  timestamp:
                    type: integer
                required:
                  - success
                  - error
                  - message
                  - timestamp
              examples:
                missing identifier:
                  summary: No identifier provided
                  value:
                    success: false
                    error: VALIDATION_ERROR
                    message: 'Missing required identifier: ''channelId'' or ''uniqueId''.'
                    timestamp: 1770099403116
                invalid pastDayRange:
                  summary: pastDayRange out of bounds
                  value:
                    success: false
                    error: VALIDATION_ERROR
                    message: '''pastDayRange'' out of range. Must be between 1 and 365.'
                    timestamp: 1770099403116
        '429':
          description: Exceeded quota or rate limit.
          content:
            application/json:
              schema:
                type: object
                title: QuotaErrorResponse
                properties:
                  success:
                    const: false
                  error:
                    type: string
                  message:
                    type: string
                  remainingPlanCredit:
                    type: number
                required:
                  - success
                  - error
                  - message
                  - remainingPlanCredit
              examples:
                rate limit:
                  summary: Rate limit exceeded
                  value:
                    success: false
                    error: RATE_LIMIT_EXCEEDED
                    message: Too many requests. Please try again later.
                quota exceeded:
                  summary: Credit quota exceeded
                  value:
                    success: false
                    error: QUOTA_EXCEEDED
                    message: Not enough credits to complete this request.
      security:
        - ApiKeyAuth: []
      servers:
        - url: https://apiv3.creatordb.app
          description: Production Environment (CreatorDB Headless API V3)
      x-codeSamples:
        - lang: bash
          label: cURL
          source: >
            curl -X GET
            "https://apiv3.creatordb.app/youtube/performance-history?channelId=UCX6OQ3DkcsbYNE6H8uQQuVA&pastDayRange=7"
            \
              -H "Content-Type: application/json" \
              -H "api-key: <YOUR_API-KEY_HERE>"
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: The valid CreatorDB API key for authentication.
      name: api-key
      in: header

````